Bug 25982 - OPAC shelves RSS link output is HTML not XML
Summary: OPAC shelves RSS link output is HTML not XML
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: didier
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-12 12:07 UTC by didier
Modified: 2020-09-20 10:25 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.03, 19.11.09, 19.05.15


Attachments
Bug 25982: OPAC shelves RSS link output is xml (1009 bytes, patch)
2020-07-12 12:11 UTC, didier
Details | Diff | Splinter Review
Bug 25982: OPAC shelves RSS link output is xml (1.05 KB, patch)
2020-07-27 15:10 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 25982: OPAC shelves RSS link output is xml (1.11 KB, patch)
2020-07-27 16:03 UTC, Amit Gupta
Details | Diff | Splinter Review
Bug 25982: OPAC shelves RSS link output is xml (1.17 KB, patch)
2020-07-29 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description didier 2020-07-12 12:07:12 UTC
Unlike opac-search.pl opac-shelves.pl output header is text/html not text/xml and it seems to confuse some RSS readers.

cf 2009 git commit b04f432857617c6a7b3333863e34420103321ea1 for opac-search

Test plan:
1) have books entered
2) log in create a list
3) add books to list
4) display list in OPAC
5) click the RSS link button.
   -- output is displayed as html text
6) apply patch
7) repeat steps 4&5
   -- output is displayed as xml tree
Comment 1 didier 2020-07-12 12:11:58 UTC
Created attachment 106806 [details] [review]
Bug 25982: OPAC shelves RSS link output is xml

Output rss feed as text/xml

Test plan:
1) have books entered
2) log in create a list
3) add books to list
4) display list in OPAC
5) click the RSS link button.
   -- output is displayed as html text
6) apply patch
7) repeat steps 4&5
   -- output is displayed as xml tree
Comment 2 ByWater Sandboxes 2020-07-27 15:10:17 UTC
Created attachment 107435 [details] [review]
Bug 25982: OPAC shelves RSS link output is xml

Output rss feed as text/xml

Test plan:
1) have books entered
2) log in create a list
3) add books to list
4) display list in OPAC
5) click the RSS link button.
   -- output is displayed as html text
6) apply patch
7) repeat steps 4&5
   -- output is displayed as xml tree

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Comment 3 Amit Gupta 2020-07-27 16:03:19 UTC
Created attachment 107441 [details] [review]
Bug 25982: OPAC shelves RSS link output is xml

Work perfectly.
Comment 4 Katrin Fischer 2020-07-29 21:36:19 UTC
Created attachment 107539 [details] [review]
Bug 25982: OPAC shelves RSS link output is xml

Output rss feed as text/xml

Test plan:
1) have books entered
2) log in create a list
3) add books to list
4) display list in OPAC
5) click the RSS link button.
   -- output is displayed as html text
6) apply patch
7) repeat steps 4&5
   -- output is displayed as xml tree

Signed-off-by: Sally <sally.healey@cheshiresharedservices.gov.uk>
Signed-off-by: Amit Gupta <amit.gupta@informaticsglobal.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-07-30 15:47:26 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-08-06 20:16:02 UTC
backported to 20.05.x for 20.05.03
Comment 7 Aleisha Amohia 2020-08-07 02:10:41 UTC
backported to 19.11.x for 19.11.09
Comment 8 Victor Grousset/tuxayo 2020-09-20 10:25:14 UTC
Backported to 19.05.x branch for 19.05.15